/*
 * This file was generated by qdbusxml2cpp version 0.7
 * Command line was: qdbusxml2cpp -p proxy dbus.xml
 *
 * qdbusxml2cpp is Copyright (C) 2015 The Qt Company Ltd.
 *
 * This is an auto-generated file.
 * Do not edit! All changes made to it will be lost.
 */

#ifndef PROXY_H_1601991270
#define PROXY_H_1601991270

#include <QtCore/QObject>
#include <QtCore/QByteArray>
#include <QtCore/QList>
#include <QtCore/QMap>
#include <QtCore/QString>
#include <QtCore/QStringList>
#include <QtCore/QVariant>
#include <QtDBus/QtDBus>

/*
 * Proxy class for interface org.bluez.mesh.Application1
 */
class OrgBluezMeshApplication1Interface: public QDBusAbstractInterface
{
    Q_OBJECT
public:
    static inline const char *staticInterfaceName()
    { return "org.bluez.mesh.Application1"; }

public:
    OrgBluezMeshApplication1Interface(const QString &service, const QString &path, const QDBusConnection &connection, QObject *parent = 0);

    ~OrgBluezMeshApplication1Interface();

    Q_PROPERTY(ushort CRPL READ cRPL)
    inline ushort cRPL() const
    { return qvariant_cast< ushort >(property("CRPL")); }

    Q_PROPERTY(ushort CompanyID READ companyID)
    inline ushort companyID() const
    { return qvariant_cast< ushort >(property("CompanyID")); }

    Q_PROPERTY(ushort ProductID READ productID)
    inline ushort productID() const
    { return qvariant_cast< ushort >(property("ProductID")); }

    Q_PROPERTY(ushort VersionID READ versionID)
    inline ushort versionID() const
    { return qvariant_cast< ushort >(property("VersionID")); }

public Q_SLOTS: // METHODS
    inline QDBusPendingReply<> JoinComplete(qulonglong token)
    {
        QList<QVariant> argumentList;
        argumentList << QVariant::fromValue(token);
        return asyncCallWithArgumentList(QLatin1String("JoinComplete"), argumentList);
    }

    inline QDBusPendingReply<> JoinFailed(const QString &reason)
    {
        QList<QVariant> argumentList;
        argumentList << QVariant::fromValue(reason);
        return asyncCallWithArgumentList(QLatin1String("JoinFailed"), argumentList);
    }

Q_SIGNALS: // SIGNALS
};

namespace org {
  namespace bluez {
    namespace mesh {
      typedef ::OrgBluezMeshApplication1Interface Application1;
    }
  }
}
#endif
